Index: display/DelphesBranchElement.h
===================================================================
--- display/DelphesBranchElement.h	(revision 7066f9c64a7a3d3e1818637cc48468e590b90958)
+++ display/DelphesBranchElement.h	(revision 341014c3f3bd3259d845de52bde54ba6c3b4ed08)
@@ -20,69 +20,87 @@
 #define DelphesBranchElement_h
 
+#include "TClass.h"
+#include "TClonesArray.h"
 #include "TColor.h"
+#include "TEveElement.h"
+#include "TEveTrack.h"
 #include "TString.h"
-#include "TClonesArray.h"
-#include "TClass.h"
+#include "display/DelphesCaloData.h"
 #include <exception>
 #include <iostream>
-#include "display/DelphesCaloData.h"
-#include "TEveElement.h"
-#include "TEveTrack.h"
 
 // virtual class to represent objects from a Delphes-tree branch
 class DelphesBranchBase
 {
-  public:
-    DelphesBranchBase(const char* name="", TClonesArray* branch=NULL, const enum EColor color=kBlack, Float_t maxPt=50.):name_(name),maxPt_(maxPt),branch_(branch),color_(color) {}
-    virtual ~DelphesBranchBase() {}
-    const char* GetName() const { return (const char*)name_; }
-    const char* GetType() const { return branch_ ? branch_->GetClass()->GetName() : "None"; }
-    virtual const char* GetClassName() = 0;
-    enum EColor GetColor() const { return color_; }
-    virtual void Reset() = 0;
-    virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz=0.) { tkRadius_ = r; tkHalfLength_ = l; tk_Bz_ = Bz; }
-    virtual void ReadBranch() = 0;
-    virtual std::vector<TLorentzVector> GetVectors() = 0;
+public:
+  DelphesBranchBase(const char *name = "", TClonesArray *branch = NULL, const enum EColor color = kBlack, Float_t maxPt = 50.) :
+    name_(name), maxPt_(maxPt), branch_(branch), color_(color) {}
+  virtual ~DelphesBranchBase() {}
+  const char *GetName() const { return (const char *)name_; }
+  const char *GetType() const { return branch_ ? branch_->GetClass()->GetName() : "None"; }
+  virtual const char *GetClassName() = 0;
+  enum EColor GetColor() const { return color_; }
+  virtual void Reset() = 0;
+  virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz = 0.)
+  {
+    tkRadius_ = r;
+    tkHalfLength_ = l;
+    tk_Bz_ = Bz;
+  }
+  virtual void ReadBranch() = 0;
+  virtual std::vector<TLorentzVector> GetVectors() = 0;
 
-  protected:
-    TString name_;
-    Float_t maxPt_;
-    TClonesArray* branch_;
-    const enum EColor color_;
-    Float_t tkRadius_,tkHalfLength_, tk_Bz_;
+protected:
+  TString name_;
+  Float_t maxPt_;
+  TClonesArray *branch_;
+  const enum EColor color_;
+  Float_t tkRadius_, tkHalfLength_, tk_Bz_;
 };
 
 // concrete implementations. EveContainer can be a TrackList, ElementList or CaloData.
-template<typename EveContainer> class DelphesBranchElement: public DelphesBranchBase
+template <typename EveContainer>
+class DelphesBranchElement: public DelphesBranchBase
 {
-  public:
-    // constructor
-    DelphesBranchElement(const char* name="", TClonesArray* branch=NULL, const enum EColor color=kBlack, Float_t maxPt=50.):DelphesBranchBase(name, branch, color, maxPt) {
-      throw std::exception();
-    }
+public:
+  // constructor
+  DelphesBranchElement(const char *name = "", TClonesArray *branch = NULL, const enum EColor color = kBlack, Float_t maxPt = 50.) :
+    DelphesBranchBase(name, branch, color, maxPt)
+  {
+    throw std::exception();
+  }
 
-    // destructor
-    virtual ~DelphesBranchElement() { delete data_; }
+  // destructor
+  virtual ~DelphesBranchElement() { delete data_; }
 
-    // get the container (ElementList, TrackList, or CaloData)
-    EveContainer* GetContainer() { return data_; }
+  // get the container (ElementList, TrackList, or CaloData)
+  EveContainer *GetContainer() { return data_; }
 
-    // tracking volume
-    virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz=0.) { tkRadius_ = r; tkHalfLength_ = l; tk_Bz_ = Bz; }
+  // tracking volume
+  virtual void SetTrackingVolume(Float_t r, Float_t l, Float_t Bz = 0.)
+  {
+    tkRadius_ = r;
+    tkHalfLength_ = l;
+    tk_Bz_ = Bz;
+  }
 
-    // resets the collection (before moving to the next event)
-    virtual void Reset() {};
+  // resets the collection (before moving to the next event)
+  virtual void Reset(){};
 
-    // template class name
-    virtual const char* GetClassName() { return data_->ClassName(); }
+  // template class name
+  virtual const char *GetClassName() { return data_->ClassName(); }
 
-    // read the branch and fill elements for display
-    virtual void ReadBranch() {}
+  // read the branch and fill elements for display
+  virtual void ReadBranch() {}
 
-    // return the vector for all elements
-    virtual std::vector<TLorentzVector> GetVectors() { std::vector<TLorentzVector> v; return v; }
+  // return the vector for all elements
+  virtual std::vector<TLorentzVector> GetVectors()
+  {
+    std::vector<TLorentzVector> v;
+    return v;
+  }
 
-  private:
-    EveContainer* data_;
+private:
+  EveContainer *data_;
 };
 
@@ -90,21 +108,34 @@
 
 // special case for calo towers
-template<> DelphesBranchElement<DelphesCaloData>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt);
-template<> void DelphesBranchElement<DelphesCaloData>::Reset();
-template<> void DelphesBranchElement<DelphesCaloData>::ReadBranch();
-template<> std::vector<TLorentzVector> DelphesBranchElement<DelphesCaloData>::GetVectors();
+template <>
+DelphesBranchElement<DelphesCaloData>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt);
+template <>
+void DelphesBranchElement<DelphesCaloData>::Reset();
+template <>
+void DelphesBranchElement<DelphesCaloData>::ReadBranch();
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<DelphesCaloData>::GetVectors();
 
 // special case for element lists
-template<> DelphesBranchElement<TEveElementList>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt);
-template<> void DelphesBranchElement<TEveElementList>::Reset();
-template<> void DelphesBranchElement<TEveElementList>::ReadBranch();
-template<> std::vector<TLorentzVector> DelphesBranchElement<TEveElementList>::GetVectors();
+template <>
+DelphesBranchElement<TEveElementList>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt);
+template <>
+void DelphesBranchElement<TEveElementList>::Reset();
+template <>
+void DelphesBranchElement<TEveElementList>::ReadBranch();
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<TEveElementList>::GetVectors();
 
 // special case for track lists
-template<> DelphesBranchElement<TEveTrackList>::DelphesBranchElement(const char* name, TClonesArray* branch, const enum EColor color, Float_t maxPt);
-template<> void DelphesBranchElement<TEveTrackList>::SetTrackingVolume(Float_t r, Float_t l, Float_t Bz);
-template<> void DelphesBranchElement<TEveTrackList>::Reset();
-template<> void DelphesBranchElement<TEveTrackList>::ReadBranch();
-template<> std::vector<TLorentzVector> DelphesBranchElement<TEveTrackList>::GetVectors();
+template <>
+DelphesBranchElement<TEveTrackList>::DelphesBranchElement(const char *name, TClonesArray *branch, const enum EColor color, Float_t maxPt);
+template <>
+void DelphesBranchElement<TEveTrackList>::SetTrackingVolume(Float_t r, Float_t l, Float_t Bz);
+template <>
+void DelphesBranchElement<TEveTrackList>::Reset();
+template <>
+void DelphesBranchElement<TEveTrackList>::ReadBranch();
+template <>
+std::vector<TLorentzVector> DelphesBranchElement<TEveTrackList>::GetVectors();
 
 #endif // CINT, CLING
